<div class="oni-sorceress__video-component">
  <video controls height="<%= height %>" width="<%= width %>" poster="<%= preview_url %>">
    <% variants.each do |variant| %>
      <source src="<%= variant.url %>" type="<%= variant.mimetype %>" />
    <% end %>
    <p>
      Your browser doesn't support HTML video. Here is a
      <a href="<%= variants.first.url %>" download>link to the video</a> instead.
    </p>
  </video>
  <% if title %>
    <p><%= title %></p>
  <% end %>
</div>
